Skip to content
Permalink
Browse files
Merge branch 'MDL-54858-master' of git://github.com/mihailges/moodle
  • Loading branch information
David Monllao committed Jul 30, 2018
2 parents 627d9aa + f6094cd commit c5c618fe10d5787345a504a74534c0e894c39f74
Showing with 10 additions and 13 deletions.
  1. +4 −13 user/editlib.php
  2. +6 −0 user/upgrade.txt
@@ -184,21 +184,12 @@ function useredit_update_user_preference($usernew) {
}

/**
* Updates the provided users profile picture based upon the expected fields returned from the edit or edit_advanced forms.
*
* @deprecated since Moodle 3.2 MDL-51789 - please use core_user::update_picture() instead.
* @todo MDL-54858 This will be deleted in Moodle 3.6.
* @deprecated since Moodle 3.2
* @see core_user::update_picture()
*
* @global moodle_database $DB
* @param stdClass $usernew An object that contains some information about the user being updated
* @param moodleform $userform The form that was submitted to edit the form (unused)
* @param array $filemanageroptions
* @return bool True if the user was updated, false if it stayed the same.
*/
function useredit_update_picture(stdClass $usernew, moodleform $userform, $filemanageroptions = array()) {
debugging('useredit_update_picture() is deprecated. Please use core_user::update_picture() instead.', DEBUG_DEVELOPER);
return core_user::update_picture($usernew, $filemanageroptions);
function useredit_update_picture() {
throw new coding_exception('useredit_update_picture() can not be used anymore. Please use ' .
'core_user::update_picture() instead.');
}

/**
@@ -0,0 +1,6 @@
This files describes API changes for code that uses the user API.

=== 3.6 ===

* The following functions have been finally deprecated and can not be used anymore:
* useredit_update_picture()

0 comments on commit c5c618f

Please sign in to comment.